openerp.eiru_reporting_dashboard = function (instance) {
    "use strict";

    instance.eiru_reporting_dashboard = {};
    instance.eiru_reporting_dashboard.reports = {};

    var dashboard = instance.eiru_reporting_dashboard;

    widget_reporting_base(instance, dashboard);
    dashboard_reporting_widget(instance, dashboard);
    
    // Widgets
    try{
        invoice_history(dashboard);
        ranking_pos_orders_salesman(dashboard);
        ranking_pos_orders_partner(dashboard);
        ranking_pos_orders_product(dashboard);
    }catch(e){
        // error
    }
    
    // Action
    instance.web.client_actions.add('eiru_reporting_dashboard.action_dashboard', 'instance.eiru_reporting_dashboard.DashboardReportingWidget');
    // instance.web.client_actions.add('eiru_reporting_dashboard.action_dashboard_sale', 'instance.eiru_reporting_dashboard.SaleWidget');
    // instance.web.client_actions.add('eiru_reporting_dashboard.action_dashboard_configuration', 'instance.eiru_reporting_dashboard.DashboardConfigurationWidget');
}
